@rem *******************************************************************************
@rem Licensed Materials - Property of IBM
@rem (c) Copyright IBM Corporation 2011. All Rights Reserved.
@rem
@rem Note to U.S. Government Users Restricted Rights:
@rem Use, duplication or disclosure restricted by GSA ADP Schedule
@rem Contract with IBM Corp. 
@rem *******************************************************************************
@rem
@rem rrdi2insight -dir <RRDI_dir> -user <was_admin_id> -password <was_admin_pasword>
@rem

@echo off
@setlocal

call "%~dp0getparams.bat" %*


if defined HELP (
"%INSIGHT_DIR%\jdk\jre\bin\java" "%INSIGHT_DIR%\cognos\bin\ant.jar" -buildfile message.xml help
goto done
)


if not defined RRDI_DIR (
"%INSIGHT_DIR%\jdk\jre\bin\java" "%INSIGHT_DIR%\cognos\bin\ant.jar" -buildfile message.xml empty_dir
goto done
)

@rem User will igore the Case of the path, and we need to unify it

cd /d %RRDI_DIR%
set RRDI_DIR=%cd%
cd /d "%~dp0"

set INSIGHT_DIR=%INSIGHT_DIR:\=/%
set RRDI_DIR=%RRDI_DIR:\=/%

call "%RRDI_DIR%\AppServer\bin\ws_ant.bat" -f build.xml -Ddir="%RRDI_DIR%" -Dinsightdir="%INSIGHT_DIR%" -Duser="%USER_NAME%" -Dpassword="%PASSWORD%"

:done
@endlocal
